"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFilePathsInFolder = exports.workspaceFolders = void 0;
const fs_1 = require("fs");
const path_1 = require("path");
async function workspaceFolders() {
    let folderNames = (0, fs_1.readdirSync)((0, path_1.resolve)());
    folderNames = folderNames.filter((folderName) => !folderName.includes(".") &&
        !folderName.includes("_") &&
        (0, fs_1.statSync)(folderName).isDirectory());
    return folderNames;
}
exports.workspaceFolders = workspaceFolders;
function getFilePathsInFolder(folderPath, deepSearch) {
    if (!(0, fs_1.statSync)(folderPath).isDirectory()) {
        throw new Error("Folder path is invalid: " + folderPath);
    }
    const allFiles = [];
    for (const name of (0, fs_1.readdirSync)(folderPath)) {
        const fullPath = folderPath + path_1.sep + name;
        if (name.includes(".") && (0, fs_1.statSync)(fullPath).isFile()) {
            allFiles.push(fullPath);
        }
        else if (deepSearch && (0, fs_1.statSync)(fullPath).isDirectory()) {
            allFiles.push(...getFilePathsInFolder(fullPath, deepSearch));
        }
    }
    return allFiles;
}
exports.getFilePathsInFolder = getFilePathsInFolder;
