"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.saveFilePaths = exports.aFilePath = exports.allFilePaths = void 0;
const tslib_1 = require("tslib");
const filePath_1 = tslib_1.__importDefault(require("./types/filePath"));
const filePaths = new Map();
function allFilePaths() {
    const values = [...filePaths.values()];
    if (values.length > 0) {
        return values.flat();
    }
    return undefined;
}
exports.allFilePaths = allFilePaths;
function aFilePath(fileName) {
    const value = filePaths.get(fileName);
    if (value?.length === 1) {
        return value[0];
    }
    else {
        return value;
    }
}
exports.aFilePath = aFilePath;
function saveFilePaths(paths) {
    for (let i = 0; i < paths.length; i++) {
        const filePath = new filePath_1.default(paths[i]);
        let exists = false;
        let arr = filePaths.get(filePath.name);
        if (arr) {
            exists = arr.some((path) => path.fullPath === filePath.fullPath);
        }
        else {
            arr = [];
        }
        if (!exists) {
            arr.push(filePath);
            filePaths.set(filePath.name, arr);
        }
    }
}
exports.saveFilePaths = saveFilePaths;
